package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface Line extends Content {
    /**
     * Returns the content ID.
     *
     * @return The content ID.
     */
    int getContentId();


    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();

    /**
     * Returns the content of the line.
     *
     * @return the content of the line
     */
    String getContent();
}
